import httpClient from '@/services/http'
import { CommonFetchOptions } from '@/services/http/types'

/**
 * 资金账户管理查询
 */
export function queryTaAccount(options: CommonFetchOptions<{ request: Model.TaAccountReq; response: Model.TaAccountRsp; }> = {}) {
    return httpClient.commonRequest('/taAccount/query', 'get', options)
}

/**
 * 资金账户详情信息
 */
export function queryTaAccountDetail(options: CommonFetchOptions<{ request: Model.TaAccountDetailReq; response: Model.TaAccountDetailRsp; }> = {}) {
    return httpClient.commonRequest('/taAccount/queryDetail', 'get', options)
}

/**
 * 资金账户修改密码
 */
export function updateTaAccountPwd(options: CommonFetchOptions<{ request: Model.TaAccountPwdReq; }> = {}) {
    return httpClient.commonRequest('/taAccount/updatePwd', 'post', options)
}

/**
 * 资金流水信息列表查询
 */
export function queryAmountStream(options: CommonFetchOptions<{ request: Model.AmountStreamReq; response: Model.AmountStreamRsp[]; }>) {
    return httpClient.commonRequest('/taAccount/queryAmountStream', 'get', options)
}

/**
 * 资金流水信息导出
 */
export function queryAmountStreamExport(options: CommonFetchOptions<{ response: string; }>) {
    return httpClient.commonRequest('/taAccount/queryAmountStreamExport', 'get', options)
}

/**
 * 出入金查询
 */
export function queryPutOrIn(options: CommonFetchOptions<{ request: Model.PutOrInReq; response: Model.PutOrInRsp[]; }>) {
    return httpClient.commonRequest('/accountSign/queryPutOrIn', 'get', options)
}

/**
 * 出入金查询详情
 */
export function queryPutOrInDetail(options: CommonFetchOptions<{ request: Model.PutOrInDetailReq; response: Model.PutOrInDetailRsp[]; }>) {
    return httpClient.commonRequest('/accountSign/queryPutOrInDetail', 'get', options)
}

/**
 * 处理银行签约
 */
export function dealAccountSign(options: CommonFetchOptions<{ request: Partial<Model.DealAccountSignReq>; }>) {
    return httpClient.commonRequest('/accountSign/dealAccountSign', 'post', options)
}

/**
 * 获取签约银行详细信息
 */
export function getSignBankById(options: CommonFetchOptions<{ request: Model.SignBankByIdReq; response: Model.SignBankByIdRsp; }>) {
    return httpClient.commonRequest('/accountSign/getSignBankById', 'get', options)
}

/**
 * 银行签约信息/签解约管理列表
 */
export function queryAccountSign(options: CommonFetchOptions<{ request: Model.AccountSignReq; response: Model.AccountSignRsp[]; }>) {
    return httpClient.commonRequest('/accountSign/query', 'get', options)
}

/**
 * 通用枚举判断信息展示查询
 */
export function queryCommonFlag(options: CommonFetchOptions<{ request: Model.CommonFlagReq; response: Model.CommonFlagRsp; }>) {
    return httpClient.commonRequest('/common/queryCommonFlag', 'get', options)
}

/**
 * 网上出入金申请
 */
export function inOrOutAmount(options: CommonFetchOptions<{ request: Model.inOrOutAmountReq; }>) {
    return httpClient.commonRequest('/taAccount/inOrOutAmount', 'post', options)
}

/**
 * 内部订单查询--> 电子协议管理 --> 获取列表
 */
export function queryesignrecord(options: CommonFetchOptions<{ request: Model.SignRecordReq; response: Model.SignRecordRsp[] }>) {
    return httpClient.commonRequest('/query/queryesignrecord', 'get', options)
}